summaryrefslogtreecommitdiffstats
path: root/obsolete-buildroot/sources/openwrt/ipkg/fprobe
diff options
context:
space:
mode:
Diffstat (limited to 'obsolete-buildroot/sources/openwrt/ipkg/fprobe')
-rw-r--r--obsolete-buildroot/sources/openwrt/ipkg/fprobe/CONTROL/conffiles1
-rw-r--r--obsolete-buildroot/sources/openwrt/ipkg/fprobe/CONTROL/control9
-rw-r--r--obsolete-buildroot/sources/openwrt/ipkg/fprobe/root/etc/fprobe.conf8
-rw-r--r--obsolete-buildroot/sources/openwrt/ipkg/fprobe/root/etc/init.d/fprobe23
4 files changed, 41 insertions, 0 deletions
diff --git a/obsolete-buildroot/sources/openwrt/ipkg/fprobe/CONTROL/conffiles b/obsolete-buildroot/sources/openwrt/ipkg/fprobe/CONTROL/conffiles
new file mode 100644
index 000000000..d498dc49c
--- /dev/null
+++ b/obsolete-buildroot/sources/openwrt/ipkg/fprobe/CONTROL/conffiles
@@ -0,0 +1 @@
+/etc/fprobe.conf
diff --git a/obsolete-buildroot/sources/openwrt/ipkg/fprobe/CONTROL/control b/obsolete-buildroot/sources/openwrt/ipkg/fprobe/CONTROL/control
new file mode 100644
index 000000000..d17142d3a
--- /dev/null
+++ b/obsolete-buildroot/sources/openwrt/ipkg/fprobe/CONTROL/control
@@ -0,0 +1,9 @@
+Package: fprobe
+Priority: optional
+Section: net
+Version: TBDL
+Architecture: TBDL
+Maintainer: Nico <nthill@free.fr>
+Source: http://openwrt.org/cgi-bin/viewcvs.cgi/buildroot/
+Description: a NetFlow probe
+Depends: libpcap, libpthread
diff --git a/obsolete-buildroot/sources/openwrt/ipkg/fprobe/root/etc/fprobe.conf b/obsolete-buildroot/sources/openwrt/ipkg/fprobe/root/etc/fprobe.conf
new file mode 100644
index 000000000..3abfba6f9
--- /dev/null
+++ b/obsolete-buildroot/sources/openwrt/ipkg/fprobe/root/etc/fprobe.conf
@@ -0,0 +1,8 @@
+# Interface to listen on
+IFNAME=any
+
+# NetFlow collector (host:port)
+REMOTE=192.168.1.100:2055
+
+# Maximum log level (0=EMERG, 1=ALERT, 2=CRIT, 3=ERR, 4=WARNING, 5=NOTICE, 6=INFO, 7=DEBUG)
+LOG_LEVEL=3
diff --git a/obsolete-buildroot/sources/openwrt/ipkg/fprobe/root/etc/init.d/fprobe b/obsolete-buildroot/sources/openwrt/ipkg/fprobe/root/etc/init.d/fprobe
new file mode 100644
index 000000000..2a61fceb9
--- /dev/null
+++ b/obsolete-buildroot/sources/openwrt/ipkg/fprobe/root/etc/init.d/fprobe
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+DEFAULT=/etc/fprobe.conf
+OPTIONS=""
+[ -f $DEFAULT ] && . $DEFAULT
+[ -n "$IFNAME" ] && OPTIONS="$OPTIONS -i $IFNAME"
+[ -n "$LOG_LEVEL" ] && OPTIONS="$OPTIONS -v $LOG_LEVEL"
+[ -n "$REMOTE" ] && OPTIONS="$OPTIONS $REMOTE"
+
+case $1 in
+ start)
+ [ -d /var/run ] || mkdir -p /var/run
+ /usr/sbin/fprobe $OPTIONS
+ ;;
+ stop)
+ [ -f /var/run/fprobe.pid ] && kill $(cat /var/run/fprobe.pid) >/dev/null 2>&1
+ ;;
+ *)
+ echo "usage: $0 (start|stop)"
+ exit 1
+esac
+
+exit $?